GET /alerts/{alert_id}
Return one alert by id.
404 if it doesn't exist or belongs to another organization.
curl "https://api.ellipsis.dev/v1/alerts/{alert_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"alert": {
"body": "string",
"created_at": "2026-01-01T00:00:00Z",
"cta_label": "string",
"cta_url": "string",
"id": "string",
"resolved_at": "2026-01-01T00:00:00Z",
"resolved_by": 0,
"severity": "info",
"source": "budget",
"status": "open",
"title": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.alerts.get("...")
print(result){
"alert": {
"body": "string",
"created_at": "2026-01-01T00:00:00Z",
"cta_label": "string",
"cta_url": "string",
"id": "string",
"resolved_at": "2026-01-01T00:00:00Z",
"resolved_by": 0,
"severity": "info",
"source": "budget",
"status": "open",
"title": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.alerts.get('...');
console.log(result);{
"alert": {
"body": "string",
"created_at": "2026-01-01T00:00:00Z",
"cta_label": "string",
"cta_url": "string",
"id": "string",
"resolved_at": "2026-01-01T00:00:00Z",
"resolved_by": 0,
"severity": "info",
"source": "budget",
"status": "open",
"title": "string",
"updated_at": "2026-01-01T00:00:00Z"
}
}No request body.
{
"properties": {
"alert": {
"properties": {
"body": {
"type": "string"
},
"created_at": {
"format": "date-time",
"type": "string"
},
"cta_label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"cta_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"id": {
"type": "string"
},
"resolved_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"resolved_by": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"severity": {
"enum": [
"info",
"warning"
],
"type": "string"
},
"source": {
"enum": [
"budget"
],
"type": "string"
},
"status": {
"enum": [
"open",
"dismissed",
"expired"
],
"type": "string"
},
"title": {
"type": "string"
},
"updated_at": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"created_at",
"updated_at",
"source",
"severity",
"title",
"body",
"status"
],
"type": "object"
}
},
"required": [
"alert"
],
"type": "object"
}Request
alert_idstringrequired